Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface LibraryBinary

    org.gradle.api.Buildable
      org.gradle.language.base.Binary
          org.gradle.nativebinaries.NativeBinary
              org.gradle.nativebinaries.LibraryResolver
                  org.gradle.api.Named
                      org.gradle.language.base.BuildableModelElement
                          org.gradle.nativebinaries.LibraryBinary

All Superinterfaces:
  Buildable, Binary, NativeBinary, LibraryResolver, Named, BuildableModelElement

    @Incubating
    public interface LibraryBinary
    extends LibraryResolver, NativeBinary

A physical representation of a Library component.

Method Summary
`Library` | `getComponent()` The Library that this binary represents.

Methods inherited from interface NativeBinary
getBuildType, getComponent, getFlavor, getLibs, getLinker, getOutputFile, getSource, getTargetPlatform, getTasks, getToolChain, isBuildable, lib, setOutputFile, source

Methods inherited from interface LibraryResolver
resolve

Method Detail

### getComponent

    public Library getComponent()

  The Library that this binary represents.

Gradle API 1.10